aboutsummaryrefslogtreecommitdiff
path: root/test
diff options
context:
space:
mode:
authorAvatar Ciaran McCreesh <ciaran.mccreesh@googlemail.com> 2007-04-27 11:48:30 +0000
committerAvatar Ciaran McCreesh <ciaran.mccreesh@googlemail.com> 2007-04-27 11:48:30 +0000
commit10992400975d6f6177e29fc85c1a884be5faa13c (patch)
tree531e066fabd319abb653049a7c5bf579c182c69c /test
parente4d1470f1af5ade81679e728ff19de03b18901bd (diff)
downloadpaludis-10992400975d6f6177e29fc85c1a884be5faa13c.tar.gz
paludis-10992400975d6f6177e29fc85c1a884be5faa13c.tar.xz
Environment implementation / interface split. Use of '*' in Paludis keywords.conf, use.conf, licenses.conf is now deprecated in favour of '*/*'
Diffstat (limited to 'test')
-rwxr-xr-xtest/run_test.sh10
1 files changed, 8 insertions, 2 deletions
diff --git a/test/run_test.sh b/test/run_test.sh
index 9b7050b..52e1761 100755
--- a/test/run_test.sh
+++ b/test/run_test.sh
@@ -27,8 +27,14 @@ else
fi
echo ">>> test ${testname}"
-${@}
-code=$?
+if [[ -n "${TEST_OUTPUT_WRAPPER}" ]] ; then
+ $TEST_OUTPUT_WRAPPER --stdout-prefix "${testname#./}> " --stderr-prefix "${testname#./}> " -- ${@}
+ code=$?
+else
+ ${@}
+ code=$?
+fi
+
if [[ 0 != ${code} ]] ; then
echo ">>> test ${testname} returned ${code}"
if test -f "$TEST_SCRIPT_DIR""${testname}"_"cleanup.sh" ; then